edu.wpi.first.wpilibj.hal

## Class AnalogGyroJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.AnalogGyroJNI

-     public class AnalogGyroJNI
      extends JNIWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalogGyroJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `calibrateAnalogGyro(int handle)`
    `static void` | `freeAnalogGyro(int handle)`
    `static double` | `getAnalogGyroAngle(int handle)`
    `static int` | `getAnalogGyroCenter(int handle)`
    `static double` | `getAnalogGyroOffset(int handle)`
    `static double` | `getAnalogGyroRate(int handle)`
    `static int` | `initializeAnalogGyro(int halAnalogInputHandle)`
    `static void` | `resetAnalogGyro(int handle)`
    `static void` | `setAnalogGyroDeadband(int handle, double volts)`
    `static void` | `setAnalogGyroParameters(int handle, double voltsPerDegreePerSecond, double offset, int center)`
    `static void` | `setAnalogGyroVoltsPerDegreePerSecond(int handle, double voltsPerDegreePerSecond)`
    `static void` | `setupAnalogGyro(int handle)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalogGyroJNI

          public AnalogGyroJNI()

  - ### Method Detail

    - #### initializeAnalogGyro

          public static int initializeAnalogGyro(int halAnalogInputHandle)

    - #### setupAnalogGyro

          public static void setupAnalogGyro(int handle)

    - #### freeAnalogGyro

          public static void freeAnalogGyro(int handle)

    - #### setAnalogGyroParameters

          public static void setAnalogGyroParameters(int handle,
                                                     double voltsPerDegreePerSecond,
                                                     double offset,
                                                     int center)

    - #### setAnalogGyroVoltsPerDegreePerSecond

          public static void setAnalogGyroVoltsPerDegreePerSecond(int handle,
                                                                  double voltsPerDegreePerSecond)

    - #### resetAnalogGyro

          public static void resetAnalogGyro(int handle)

    - #### calibrateAnalogGyro

          public static void calibrateAnalogGyro(int handle)

    - #### setAnalogGyroDeadband

          public static void setAnalogGyroDeadband(int handle,
                                                   double volts)

    - #### getAnalogGyroAngle

          public static double getAnalogGyroAngle(int handle)

    - #### getAnalogGyroRate

          public static double getAnalogGyroRate(int handle)

    - #### getAnalogGyroOffset

          public static double getAnalogGyroOffset(int handle)

    - #### getAnalogGyroCenter

          public static int getAnalogGyroCenter(int handle)